
void slider_event_cb(lv_obj_t * slider, lv_event_t event) {
  printEvent("Slider", event);
  if (event == LV_EVENT_VALUE_CHANGED) {
    static char buf[4];                                 /* max 3 bytes  for number plus 1 null terminating byte */
    //int slid = lv_slider_get_value(slider); slid = ( slid / 0.4) + 5; //100/0.4=200 + 5 =255
    int slid = lv_slider_get_value(slider); slid =  slid / 0.392; //100/0.392=255
    snprintf(buf, 4, "%u", slid);
    lv_label_set_text(slider_label, buf);               /*Refresh the text*/
    ledcWrite(0, slid); // Start @ initial Brightnes
  }
}

void printEvent(String Event, lv_event_t event) {
  Serial.print(Event);
  printf(" ");
  switch (event) {
    case LV_EVENT_PRESSED:
      printf("Pressed\n");
      break;

    case LV_EVENT_SHORT_CLICKED:
      printf("Short clicked\n");
      break;

    case LV_EVENT_CLICKED:
      printf("Clicked\n");
      break;

    case LV_EVENT_LONG_PRESSED:
      printf("Long press\n");
      break;

    case LV_EVENT_LONG_PRESSED_REPEAT:
      printf("Long press repeat\n");
      break;

    case LV_EVENT_RELEASED:
      printf("Released\n");
      break;
  }
}
